org.eclipse.ease.ui.modules.ui

## Class ModulesDragListener

- java.lang.Object
- - org.eclipse.ease.ui.modules.ui.ModulesDragListener

All Implemented Interfaces:
  java.util.EventListener, DragSourceListener, SWTEventListener

    public class ModulesDragListener
    extends java.lang.Object
    implements DragSourceListener

### Constructor Summary

Constructors
Constructor and Description
`ModulesDragListener(TableViewer viewer)`
`ModulesDragListener(TreeViewer viewer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dragFinished(DragSourceEvent event)`
`void` `dragSetData(DragSourceEvent event)`
`void` `dragStart(DragSourceEvent event)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModulesDragListener

    public ModulesDragListener(TreeViewer viewer)

#### ModulesDragListener

    public ModulesDragListener(TableViewer viewer)

### Method Detail

#### dragStart

    public void dragStart(DragSourceEvent event)

Specified by:
  `dragStart` in interface `DragSourceListener`

#### dragSetData

    public void dragSetData(DragSourceEvent event)

Specified by:
  `dragSetData` in interface `DragSourceListener`

#### dragFinished

    public void dragFinished(DragSourceEvent event)

Specified by:
  `dragFinished` in interface `DragSourceListener`